How to auto update e-Newsletter Plugin?

Hi!
I downloaded e-Newsletter 2.6.1. But I failed to install it. If I install 2.6.1 manullay after I delete 2.5.9 version, I'm afraid to lose all my test data such as test group, test newsletter, and .po and .mo file for Korean translation. (If you want translation file, I will send it to you.)

WPDEV plugin is read like "most plugins and themes are able to be auto-updated depending on where they are installed".

Would you tell me how to upgrade the current version into the newest version.

Best Regards

  • Vinod Dalvi

    Hi @abulaphiaa,

    Welcome to the WPMU Dev community.

    I hope you are well today and thank you for your question.

    I'm afraid to lose all my test data such as test group, test newsletter, and .po and .mo file for Korean translation.

    In most cases you don't loose you test data but you lose your updated translation files. Backup your test data and language files before updation so that if any thing goes wrong then you can restore it.

    Would you tell me how to upgrade the current version into the newest version.

    Just install WPMU DEV Dashboard plugin from here https://premium.wpmudev.org/project/wpmu-dev-dashboard/ and follow the instructions provided in this reply https://premium.wpmudev.org/forums/topic/how-can-i-upgrade-the-domain-mapping-plugin-without-reinstalling#post-56095

    Best Regards,
    Vinod Dalvi

  • abulaphiaa

    Hi!

    Thanks For Your Help.

    I installed "WPMU DEV Dashboard" and go to update. But the "Upgrade To Update" button appeared instead of "Auto Update" Button.

    That may be because I'm not considered as your monthly paying user even if you charged me $ 19 for my credit card last night without any email notification in advance. I just bought your 'e-Newsletter' plugin for one stop shopping. Your billing system seems like working to charge automatically every month on anybody who have ever bought something on your site, whether he or she is monthly paying user or not.

    Anyway I decided to upgrade the plugin, because you charged me last night. I may be need to do that.

    But 'Auto Upgrade' was unavailable as I said above. So I had to delete previous version and I installed the new version. After installation, I put po and mo file for Korean translation in your language folder by using FTP programm 'FileZilla'. The Test Data I made remain undeleted fortunately as you said.

    But the Korean Translation doesn't work. It took me a lot of time and effort to make the .po and .mo file for Korean Translation. Korean translation work fine for the other theme or plugin. Please help me to fix this problem.

  • Vinod Dalvi

    Hi @abulaphiaa,

    Thank you for your reply.

    For all billing related issues you can contact our billing and accounting department from this form https://premium.wpmudev.org/contact/

    To use the Korean Translation copy and paste .po and .mo files of Korean Translation in to languages folder of the plugin and you will need to change to your WordPress wp-config.php file with the correct language codes.

    define ('WPLANG', 'ko_KR');

    Kind Regards,
    Vinod Dalvi

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.